6.0.0-git
2019-04-21

[#14280] Display alternativeName in addressbook list
Summary Display alternativeName in addressbook list
Queue Turba
Queue Version FRAMEWORK_5_2
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester dreytac (at) homehobby (dot) net
Created 2016-03-06 (1141 days ago)
Due
Updated 2017-10-20 (548 days ago)
Assigned 2016-03-07 (1140 days ago)
Resolved 2016-03-07 (1140 days ago)
Milestone
Patch No

History
2017-10-20 20:34:43 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 30afe14574e0c24ee1e19e9b4856e73690451cf8
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon, 07 Mar 2016 10:11:30 -0500

Bug: 14280 Honor the alternative_name mapping.

  M lib/Driver.php

https://github.com/horde/turba/commit/30afe14574e0c24ee1e19e9b4856e73690451cf8
2016-03-07 15:16:11 Michael Rubinsky Comment #6
State ⇒ Resolved
Reply to this comment
Fixed in a slightly different way.

Turba 4.2.13
2016-03-07 15:15:29 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 62ae628833dd8bc9ca1bcdc5e45c6d8409f5293c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Mar 7 10:10:52 2016 -0500

     Bug: 14280 Honor the alternative_name mapping.

  turba/lib/Driver.php |    6 +++++-
  1 files changed, 5 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/62ae628833dd8bc9ca1bcdc5e45c6d8409f5293c
2016-03-07 15:11:39 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 070ce5795db890fe0191f75cf3acb00c46ccdb19
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Mon Mar 7 10:10:52 2016 -0500

     Bug: 14280 Honor the alternative_name mapping.

  turba/lib/Driver.php |    6 +++++-
  1 files changed, 5 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/070ce5795db890fe0191f75cf3acb00c46ccdb19
2016-03-07 13:33:03 Michael Rubinsky Comment #3
Assigned to Michael Rubinsky
State ⇒ Assigned
Version ⇒ FRAMEWORK_5_2
Reply to this comment
Based on the line numbers, this is being reported against FW_52, not 
Git, though probably needs to be looked at there too.
2016-03-06 16:28:20 dreytac (at) homehobby (dot) net Comment #2 Reply to this comment
I don't have a patch file but changing the line from:

$results = $driver->search($type_filter, $sortorder, 'AND', 
array_merge(array('__uid'), $columns ? $columns : array('name'));

to:

$results = $driver->search($type_filter, $sortorder, 'AND', 
array_merge(array('__uid'), $columns ? $columns : array('name', 
$driver->alternativeName ? $driver->alternativeName : '')));

fixes the problem.
2016-03-06 16:25:45 dreytac (at) homehobby (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Display alternativeName in addressbook list
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
I'm using the default 'localsql' backend and have configured the 
'lastname' field to be optional.

I'm trying to get a company contact to display the 'company' field 
rather than the 'name' field on the address book list page. I assumed 
the 'alternativeName' field would be displayed (default set to 
'company') but it is just displaying "Blank name".

The reason behind this is that in the "lib\View\Browse.php" file, on 
line 473, you are querying for either a list of columns or just the 
'name' field. Adding the company to the list of columns, then excludes 
it in the "templates\browse\row.inc" file on line 6.

The fix for this is to add the 'alternativeName' field to the list of 
fields in the "lib\View\Browser.php" file.

Saved Queries